<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Functions</title>
<link href="sx14c.html" rev=precedes>
<link href="sx14e.html" rel=precedes>
<link href="sx14.html" rev=subdocument>
</head>
<body>
<H2>Functions</H2>

<p>Functions can't return arrays,
and it's tricky to write a function as if it returns an array
(perhaps by simulating the array with a pointer)
because you have to be careful about allocating the memory that
the returned pointer points to.
</p><p>The functions we've written have all accepted a well-defined,
fixed number of arguments.
<TT>printf</TT> accepts a variable number of arguments
(depending on how many <TT>%</TT> signs there are
in the format string)
but we haven't seen how to declare and write functions that do this.
</p><hr>
<p>
Read sequentially:
<a href="sx14c.html" rev=precedes>prev</a>
<a href="sx14e.html" rel=precedes>next</a>
<a href="sx14.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
